###############################################################################
# Spec file for utils
################################################################################
# Configured to be built by user student or other non-root user
################################################################################
#
Summary: TensorFlow Lite pre-trained models
Name: tflite-models
Version: 1.0.0
Release: 1
License: Apache License 2.0
URL: http://www.both.org
Group: System
Packager: Aaron Call
Requires: bash
BuildRoot: /home/acall/TF_MODELS

# Build with the following syntax:
# rpmbuild --target noarch -bb utils.spec

%description
This build contains TFLite pre-trained models for neural networks VGG19, ResNet50, MobileNet and MNIST

%prep
echo "BUILDROOT = $RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/local/tflite_models

cp /home/acall/meepTFLiteModels/* $RPM_BUILD_ROOT/usr/local/tflite_models

exit

%files
# %attr(0755, root, root) /usr/local/bin/*

%pre

%post

%clean
rm -rf $RPM_BUILD_ROOT/usr/local/tflite_models

%changelog
* Thu Nov 10 2022 Aaron Call <aaron.call@bsc.es>
 - Pre-trained TFLite models
